#
# spec file for package libidn (Version 0.6.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib ctags cvs cyrus-sasl db diffutils e2fsprogs emacs emacs-info emacs-x11 expat file filesystem fillup findutils flex fontconfig gawk gcc gdbm gdbm-devel gettext gettext-devel giflib glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libnscd libpng libstdc++ libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xaw3d xorg-x11-libs zlib zlib-devel

Name:           libidn
BuildRequires:  emacs-x11
License:        LGPL
Group:          System/Libraries
Version:        0.6.0
Release:        14.2
Summary:        Support for Internationalized Domain Names (IDN)
URL:            http://www.gnu.org/software/libidn/
Source0:        http://josefsson.org/libidn/releases/libidn-%version.tar.gz
PreReq:         %install_info_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU Libidn is an implementation of the Stringprep, Punycode, and IDNA
specifications defined by the IETF Internationalized Domain Names (IDN)
working group. It is used to prepare internationalized strings (such as
domain name labels, usernames, and passwords) in order to increase the
likelihood that string input and string comparison work in ways that
make sense for typical users around the world. The library contains a
generic Stringprep implementation that does Unicode 3.2 NFKC
normalization, mapping and prohibition of characters, and bidirectional
character handling. Profiles for iSCSI, Kerberos 5, Nameprep, SASL, and
XMPP are included. Punycode and ASCII Compatible Encoding (ACE) via
IDNA is supported.



Authors:
--------
    Simon Josefsson <simon@josefsson.org>

%debug_package
%package devel
Requires:       %name = %version
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries

%description devel
GNU Libidn is an implementation of the Stringprep, Punycode, and IDNA
specifications defined by the IETF Internationalized Domain Names (IDN)
working group. It is used to prepare internationalized strings (such as
domain name labels, usernames, and passwords) in order to increase the
likelihood that string input and string comparison work in ways that
make sense for typical users around the world. The library contains a
generic Stringprep implementation that does Unicode 3.2 NFKC
normalization, mapping and prohibition of characters, and bidirectional
character handling. Profiles for iSCSI, Kerberos 5, Nameprep, SASL, and
XMPP are included. Punycode and ASCII Compatible Encoding (ACE) via
IDNA is supported.



Authors:
--------
    Simon Josefsson <simon@josefsson.org>

%prep
%setup

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --libdir=%_libdir \
	--mandir=%_mandir --infodir=%_infodir
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%_infodir/dir
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/libidn.info.gz

%postun
%run_ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/libidn.info.gz

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB ChangeLog FAQ NEWS README THANKS TODO
%_libdir/libidn.so.*

%_infodir/libidn*
/usr/bin/idn
%_mandir/man1/idn.1.*
/usr/share/emacs/site-lisp/idna.el
/usr/share/emacs/site-lisp/punycode.el

%files devel
%defattr(-,root,root)
%doc doc
%_libdir/libidn.la
%_libdir/libidn.a
%_libdir/libidn.so
/usr/include/*.h
%_libdir/pkgconfig/libidn.pc
%_mandir/man3/*

%changelog -n libidn
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Dec 03 2005 - coolo@suse.de
- update to 0.6.0
* Wed Aug 03 2005 - coolo@suse.de
- move .la file to -devel package
* Fri Jan 21 2005 - coolo@suse.de
- update to 0.5.9
* Thu Oct 14 2004 - coolo@suse.de
- update to 0.5.8
* Fri Aug 06 2004 - coolo@suse.de
- update to 0.5.3 (integrating schwab's patch)
* Thu Aug 05 2004 - coolo@suse.de
- update to 0.5.2
* Sat Jul 03 2004 - schwab@suse.de
- Fix invalid free.
* Tue Jun 01 2004 - coolo@suse.de
- update to 0.4.8
* Thu Mar 04 2004 - coolo@suse.de
- fixing file list and requires
* Wed Feb 04 2004 - coolo@suse.de
- update to 0.3.7
* Thu Oct 16 2003 - coolo@suse.de
- build as user
* Fri Sep 26 2003 - coolo@suse.de
- update to 0.3
* Wed Aug 20 2003 - coolo@suse.de
- update to 0.2.2
* Wed Jul 23 2003 - coolo@suse.de
- update to 0.2.1
* Tue Jun 03 2003 - coolo@suse.de
- Initial package
